name='obsidian'
version=1.0.0
release=1
desc='A powerful knowledge base that works on top of a local folder of plain text Markdown files'
homepage='https://gitea.arsenm.dev/Arsen6331/itd'
architectures=('amd64' '386')
license=('custom:Commercial')
provides=('obsidian')
conflicts=('obsidian')

deps=('zlib' 'hicolor-icon-theme' 'fuse3')
deps_arch=('zlib' 'hicolor-icon-theme' 'fuse')
deps_opensuse=('zlib' 'hicolor-icon-theme' 'fuse3')

sources_386=("https://gitea.arsenm.dev/Arsen6331/itd/releases/download/v0.0.7/itd_0.0.7_linux_i386.tar.gz")

sources_amd64=("https://gitea.arsenm.dev/Arsen6331/itd/releases/download/v0.0.7/itd_0.0.7_linux_x86_64.tar.gz")

package() {
  # binaries
  install -Dm755 "./obsidian" "${pkgdir}/usr/bin/obsidian"
  
  # desctop file
  install -Dm644 "./obsidian.desktop" ${pkgdir}/usr/share/applications/
  install -Dm644 icon.png "${pkgdir}/usr/share/pixmaps/obsidian.png

  cd "${name}-${version}"/resources/
    install -dm0755 "$pkgdir"/usr/lib/obsidian
    find . -type d -exec install -d {,"$pkgdir"/usr/lib/obsidian/}{} \;
    find . -type f -exec install -D {,"$pkgdir"/usr/lib/obsidian/}{} \;
}
